aboutsummaryrefslogtreecommitdiffstats
path: root/deploy.sh
diff options
context:
space:
mode:
authorJan Tuomi <jans.tuomi@gmail.com>2024-07-16 10:38:10 +0300
committerJan Tuomi <jan@jantuomi.fi>2024-12-21 19:43:13 +0200
commit8c25a6f240d92f85a370df684da1d485829a894b (patch)
tree70f2ac19a307efeb57425aa9b4b68c8dc1d5703f /deploy.sh
parent1e39e4d98283ec927f0184f81175adacda2aaa67 (diff)
Add deploy.sh
Diffstat (limited to 'deploy.sh')
-rwxr-xr-xdeploy.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
new file mode 100755
index 0000000..76df2d8
--- /dev/null
+++ b/deploy.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -euxo pipefail
+
+IMAGE=registry.jan.systems/diddle:latest
+
+# Build
+docker build --progress plain --platform linux/amd64 -t "$IMAGE" .
+docker push "$IMAGE"
+
+# Deploy
+ssh jan.systems 'cd deployments/diddle && bash dc-restart.sh'